edu.sc.seis.sod.subsetter.request

## Class NetDCRequest

- java.lang.Object
- - edu.sc.seis.sod.subsetter.request.BreqFastRequest
  - - edu.sc.seis.sod.subsetter.request.NetDCRequest

- All Implemented Interfaces:
    SodElement, RequestSubsetter, Subsetter

      public class NetDCRequest
      extends BreqFastRequest

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetDCRequest(org.w3c.dom.Element config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDefaultFileTemplate()`
    `protected java.lang.String` | `getDefaultWorkingDir()`
    `protected void` | `insertEventHeader(edu.iris.Fissures.IfEvent.EventAccessOperations event, java.io.Writer out, java.lang.String label)`
    `protected void` | `insertRequest(edu.iris.Fissures.IfNetwork.Channel channel, edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request, java.io.Writer out, int i)`

    - ### Methods inherited from class edu.sc.seis.sod.subsetter.request.BreqFastRequest

      `accept, getConfig, insert, insert, optInsert, optInsert, writeToBFEmail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetDCRequest

          public NetDCRequest(org.w3c.dom.Element config)
                       throws ConfigurationException

      Throws:
        `ConfigurationException`

  - ### Method Detail

    - #### insertRequest

          protected void insertRequest(edu.iris.Fissures.IfNetwork.Channel channel,
                                       edu.iris.Fissures.IfSeismogramDC.RequestFilter[] request,
                                       java.io.Writer out,
                                       int i)
                                throws java.io.IOException

      Overrides:
        `insertRequest` in class `BreqFastRequest`
      Throws:
        `java.io.IOException`

    - #### insertEventHeader

          protected void insertEventHeader(edu.iris.Fissures.IfEvent.EventAccessOperations event,
                                           java.io.Writer out,
                                           java.lang.String label)
                                    throws java.io.IOException

      Overrides:
        `insertEventHeader` in class `BreqFastRequest`
      Throws:
        `java.io.IOException`

    - #### getDefaultWorkingDir

          protected java.lang.String getDefaultWorkingDir()

      Overrides:
        `getDefaultWorkingDir` in class `BreqFastRequest`

    - #### getDefaultFileTemplate

          protected java.lang.String getDefaultFileTemplate()

      Overrides:
        `getDefaultFileTemplate` in class `BreqFastRequest`